<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.devplatform.admin.modules.sys.dao.SysOssDao">
  <resultMap id="BaseResultMap" type="com.devplatform.admin.modules.sys.bean.SysOss">
    <result column="id" property="id"/>
    <result column="url" property="url"/>
    <result column="create_date" property="createDate"/>
    <result column="file_name" property="fileName"/>
    <result column="sort" property="sort"/>
    <result column="spare_one" property="spareOne"/>
    <result column="spare_two" property="spareTwo"/>
    <result column="spare_three" property="spareThree"/>
  </resultMap>

  <sql id="Base_Column_List">
		id,url,create_date,file_name,sort,spare_one,spare_two,spare_three
	</sql>

  <!-- 公共查询条件 -->
  <sql id="Example_Where_Clause">
    where delete_flag=0
    <if test="id!=null and id!=''">and id = #{id}</if>
    <if test="url!=null and url!=''">and url = #{url}</if>
    <if test="createDate!=null ">and create_date = #{createDate}</if>
    <if test="fileName!=null and fileName!=''">and file_name = #{fileName}</if>
    <if test="sort!=null and sort!=''">and sort = #{sort}</if>
    <if test="spareOne!=null and spareOne!=''">and spare_one = #{spareOne}</if>
    <if test="spareTwo!=null and spareTwo!=''">and spare_two = #{spareTwo}</if>
    <if test="spareThree!=null and spareThree!=''">and spare_three = #{spareThree}</if>
  </sql>


</mapper>


